ZABBIX Forums

ZABBIX Forums (http://www.zabbix.com/forum/index.php)
-   En français (http://www.zabbix.com/forum/forumdisplay.php?f=25)
-   -   Installation Client Zabbix machine linux (http://www.zabbix.com/forum/showthread.php?t=59790)

Romain69 13-11-2017 11:33

Installation Client Zabbix machine linux
 
Bonjour,

Je rencontre un problème pour effectuer l'installation de client zabbix sur des machines linux.
J'ai suivis diverse procédure pour effectuer cette installation mais rien ne fonctionne. Je n'arrive pas à mettre en place le service Zabbix sur ces machines
(Centos / Ubuntu etc.. le parc est très diversifié...)

Ma version du serveur zabbix est en 3.2.3

Merci de votre aide par avance.

tiramiseb 13-11-2017 12:40

Salut,

Quote:

Originally Posted by Romain69 (Post 206077)
J'ai suivis diverse procédure pour effectuer cette installation

Donc tu as probablement des reliquats de tes différentes installations, qui font peut-être foirer la tentative suivante. Évite d'essayer différentes procédures.



Quote:

Originally Posted by Romain69 (Post 206077)
Je n'arrive pas à mettre en place le service Zabbix sur ces machines

C'est vague.

Que fais-tu ?
À quoi t'attends-tu ?
Qu'obtiens-tu ?

Romain69 13-11-2017 12:46

Alors j'ai suivi par exemple:
http://www.geekpills.com/operating-s...n-centosrhel-7

Bien évidement j'ai pris la version 3.2.3 dans le package à télécharger
Cependant ça bloque lors de l'installation du package il me dis que j'ai rien à installer. il ne me crée donc pas le service ainsi que le dossier dans /etc/zabbix/

Mon but et de faire remonté les alertes espace Disque depuis ma console.
Une installation en 2.4 avait été faites avant mon arrivé et les serveurs ont pris la migration en 3.2.3 sans avoir quoi que ce soit à faire.

J'espère avoir été assez clair.

tiramiseb 13-11-2017 12:49

Tu peux remplacer « il me dit que [...] » par « J'exécute la commande suivante et la console m'affiche l'erreur suivante : [...] » ? (et mettre un copié-collé exact de ce que tu as dans ta console)

Romain69 13-11-2017 15:33

Ci joint le retour que j'ai

[IMG]https://www.noelshack.com/2017-46-1-1510579992-capture.jpg
[/IMG]

tiramiseb 13-11-2017 15:41

Tout d'abord, j'aimerais préciser qu'il aurait été préférable de faire un copier-coller plutôt qu'une capture d'écran : il n'y a que du texte, c'est inutile de l'avoir en image.

Ensuite, la réponse est ultra-simple. Tu exécutes "yum install zabbix-release_3.2-1+trusty_all.deb". Mais nulle part dans la documentation que tu suis il n'y a écrit d'exécuter cette commande ! Ça te dit d'abord d'exécuter la commande rpm sur un lien qui contient "zabbix-release", et ensuite d'utiliser yum sur "zabbix-agent". Tu mélanges les choses. Relis la doc que tu es en train d'essayer de suivre.

Romain69 13-11-2017 16:52

Pardon en effet trop habitué a windows.
Donc certaines choses que j'ai l'habitude de faire fonctionnent mal (Tabulation..)

j'ai donc repris et j'arrive la dessus:
Code:

rpm -ivh http://repo.zabbix.com/zabbix/3.2/rhel/7/x86_64/zabbix-agent-3.2.3-1.el7.x86_64.rpm
Récupération de http://repo.zabbix.com/zabbix/3.2/rhel/7/x86_64/zabbix-agent-3.2.3-1.el7.x86_64.rpm
attention: /var/tmp/rpm-tmp.yi5MGy: Entête V4 RSA/SHA512 Signature, key ID a14fe591: NOKEY
erreur: Dépendances requises:
        libc.so.6(GLIBC_2.14)(64bit) est nécessaire pour zabbix-agent-3.2.3-1.el7.x86_64
        libc.so.6(GLIBC_2.15)(64bit) est nécessaire pour zabbix-agent-3.2.3-1.el7.x86_64
        libc.so.6(GLIBC_2.17)(64bit) est nécessaire pour zabbix-agent-3.2.3-1.el7.x86_64
        systemd est nécessaire pour zabbix-agent-3.2.3-1.el7.x86_64

Cependant impossible de faire l'installation de ces libs.

quand j'essaye de faire l'installation j'ai:

Code:

rpm -ivh http://mirror.centos.org/centos/7/os/x86_64/Packages/glibc-2.17-196.el7.x86_64.rpm
Récupération de http://mirror.centos.org/centos/7/os/x86_64/Packages/glibc-2.17-196.el7.x86_64.rpm
attention: /var/tmp/rpm-tmp.78aFBt: Entête V3 RSA/SHA256 Signature, key ID f4a80eb5: NOKEY
erreur: Dépendances requises:
        glibc-common = 2.17-196.el7 est nécessaire pour glibc-2.17-196.el7.x86_64

Je m'y prends peut être mal désolé je début linux

tiramiseb 13-11-2017 16:57

Ta documentation ne dit pas de faire
Code:

rpm -ivh http://repo.zabbix.com/zabbix/3.2/rhel/7/x86_64/zabbix-agent-3.2.3-1.el7.x86_64.rpm
...

Relis-la.

Romain69 13-11-2017 17:01

désolé mais soit je suis con soit il faut que je change vraiement de lunette mais c'est ce que je vois.
j'ai juste ré-adapté le liens par rapport à ma version.
Mais autrement la commande à taper est bien celle là.

J'ai essaye en copiant mot pour mot ce qu'il y a et j'ai ceci autrement:
Code:

rpm -ivh http://repo.zabbix.com/zabbix/3.2/rhel/7/x86_64/zabbix-release-3.2-1.el7.noarch.rpm
Récupération de http://repo.zabbix.com/zabbix/3.2/rhel/7/x86_64/zabbix-release-3.2-1.el7.noarch.rpm
attention: /var/tmp/rpm-tmp.sfcqZ7: Entête V4 RSA/SHA512 Signature, key ID a14fe591: NOKEY
Préparation...              ########################################### [100%]
        paquetage zabbix-release-3.2-1.el7.noarch déjà installé

Code:

yum install zabbix-agent
Modules complémentaires chargés*: fastestmirror
Configuration du processus d'installation
Loading mirror speeds from cached hostfile
 * base: centos.quelquesmots.fr
 * extras: centos.quelquesmots.fr
 * updates: centos.crazyfrogs.org
Résolution des dépendances
--> Lancement de la transaction de test
---> Package zabbix-agent.x86_64 0:3.2.10-2.el7 will be installé
--> Traitement de la dépendance*: libc.so.6(GLIBC_2.17)(64bit) pour le paquet*: zabbix-agent-3.2.10-2.el7.x86_64
--> Traitement de la dépendance*: systemd pour le paquet*: zabbix-agent-3.2.10-2.el7.x86_64
--> Traitement de la dépendance*: systemd pour le paquet*: zabbix-agent-3.2.10-2.el7.x86_64
--> Résolution des dépendances terminée
Erreur*: Paquet*: zabbix-agent-3.2.10-2.el7.x86_64 (zabbix)
            Requiert*: libc.so.6(GLIBC_2.17)(64bit)
Erreur*: Paquet*: zabbix-agent-3.2.10-2.el7.x86_64 (zabbix)
            Requiert*: systemd
 Vous pouvez essayer d'utiliser --skip-broken pour contourner le problème
 Vous pouvez essayer d'exécuter*: rpm -Va --nofiles --nodigest


tiramiseb 13-11-2017 17:02

Peux-tu confirmer que tu utilises RedHat Enterprise Linux 7 ou CentOS 7 ?


All times are GMT +2. The time now is 01:55.